OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SoundDriver_SDL Class Reference

Implementation of the SDL sound driver. More...

`#include <sdl_s.h>`

Inheritance diagram for SoundDriver_SDL:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
const char * | GetName () const
| Get the name of this driver.
Public Member Functions inherited from SoundDriver
virtual void | MainLoop ()
| Called once every tick.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
Static Public Member Functions inherited from SoundDriver
static SoundDriver * | GetInstance ()
| Get the currently active instance of the sound driver.

## Detailed Description

Implementation of the SDL sound driver.

Definition at line 18 of file sdl_s.h.

## Member Function Documentation

const char* SoundDriver_SDL::GetName | ( |  | ) | const
| inline virtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 23 of file sdl_s.h.

const char * SoundDriver_SDL::Start | ( | const char *const * | parm | ) |
| virtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  NULL if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 37 of file sdl_s.cpp.

References fill_sound_buffer(), GetDriverParamInt(), and SdlOpen().

The documentation for this class was generated from the following files:

- src/sound/sdl_s.h
- src/sound/sdl_s.cpp